Bug 92843 - New port: sysutils/tw_cli 3ware storage controllers management CLI
Summary: New port: sysutils/tw_cli 3ware storage controllers management CLI
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-05 14:20 UTC by Dmitry Frolov
Modified: 2006-02-22 17:49 UTC (History)
0 users

See Also:


Attachments
file.diff (324 bytes, patch)
2006-02-05 14:20 UTC, Dmitry Frolov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Frolov 2006-02-05 14:20:03 UTC
	This is a command line utility to manage 3ware RAID controllers
	(twe(4) and twa(4)). Closed source but seems to be well supported
	by vendor.

Fix: Here is the port shar archive and patch for ports/LEGAL
	(redistribution is prohibited).

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tw_cli/Makefile
#	tw_cli/distinfo
#	tw_cli/pkg-descr
#
echo x - tw_cli/Makefile
sed 's/^X//' >tw_cli/Makefile << 'END-of-tw_cli/Makefile'
X# New ports collection makefile for:	tw_cli
X# Date created:				02/12/2005
X# Whom:					Dmitry Frolov <frolov@riss-telecom.ru>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tw_cli
XPORTVERSION=	9.3.0.3
XCATEGORIES=	sysutils
XMASTER_SITES=	http://3ware.com/download/Escalade9000Series/${PORTVERSION}/
XDISTNAME=	${PORTNAME}-freebsd_5.4-${DIST_ARCH}-${PORTVERSION}
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	frolov@riss-telecom.ru
XCOMMENT=	3ware storage controllers management CLI
X
XRESTRICTED=	Redistribution is not allowed
X# i386 binary should work on ia64, but not tested
XONLY_FOR_ARCHS=	i386 amd64 ia64
X
XWRKSRC=	${WRKDIR}
XNO_BUILD=	yes
XSTRIP=	# empty
XPLIST_FILES=	sbin/tw_cli sbin/tw_sched
XPORTDOCS=	tw_cli.8.html tw_sched.8.html
XMAN8+=		tw_cli.8 tw_sched.8
X
X.include <bsd.port.pre.mk>
X
X.if ${ARCH} == "amd64"
XDIST_ARCH=	x86_64
X.else
XDIST_ARCH=	x86
X.endif
X
Xdo-install:
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/tw_cli.8.html ${WRKSRC}/tw_sched.8.html \
X		${DOCSDIR}/
X.endif
X	${INSTALL_PROGRAM} ${WRKSRC}/tw_cli ${WRKSRC}/tw_sched ${PREFIX}/sbin/
X	${INSTALL_MAN} ${WRKSRC}/tw_cli.8.nroff ${PREFIX}/man/man8/tw_cli.8
X	${INSTALL_MAN} ${WRKSRC}/tw_sched.8.nroff ${PREFIX}/man/man8/tw_sched.8
X
X.include <bsd.port.post.mk>
END-of-tw_cli/Makefile
echo x - tw_cli/distinfo
sed 's/^X//' >tw_cli/distinfo << 'END-of-tw_cli/distinfo'
XMD5 (tw_cli-freebsd_5.4-x86-9.3.0.3.tgz) = cb39c22c2defceec578d009e85ae7c64
XSHA256 (tw_cli-freebsd_5.4-x86-9.3.0.3.tgz) = 8753f74b096853687bed7ed27ad055bcbc620311597d6c34b6c03d7fa8097f71
XSIZE (tw_cli-freebsd_5.4-x86-9.3.0.3.tgz) = 664694
XMD5 (tw_cli-freebsd_5.4-x86_64-9.3.0.3.tgz) = 5d3e7790d5e6ac4e199099ffda0e29ef
XSHA256 (tw_cli-freebsd_5.4-x86_64-9.3.0.3.tgz) = 3968c4ba2ca4d8e5d38edf645e28bb2ac6b07fc23db54ede74732d3f62c3f042
XSIZE (tw_cli-freebsd_5.4-x86_64-9.3.0.3.tgz) = 691107
END-of-tw_cli/distinfo
echo x - tw_cli/pkg-descr
sed 's/^X//' >tw_cli/pkg-descr << 'END-of-tw_cli/pkg-descr'
Xtw_cli(8) is a Command Line Interface Storage Management Software for
XAMCC/3ware ATA RAID Controllers, supported by twe(4) and twa(4) drivers.
XIt provides controller, logical unit and drive management. tw_cli can
Xbe used in both interactive and batch mode, providing higher-level API
X(Application Programming Interface) functionalities.
X
XWWW: http://3ware.com/support/download.asp
END-of-tw_cli/pkg-descr
exit
Comment 1 Joe Abley 2006-02-20 17:41:01 UTC
tested and seems to work fine here:

twe0: <3ware Storage Controller. Driver version 1.50.01.002> port  
0xbc00-0xbc0f
mem 0xfe000000-0xfe7fffff irq 22 at device 1.0 on pci3
twe0: [GIANT-LOCKED]
twe0: 8 ports, Firmware FE7X 1.05.00.068, BIOS BE7X 1.08.00.048

FreeBSD monster.hopcount.ca 6.0-RELEASE FreeBSD 6.0-RELEASE #0: Tue  
Nov  8 23:54:32 UTC 2005     root@monster.hopcount.ca:/usr/obj/usr/ 
src/sys/GENERIC  i386

//monster> info c0 firmware
/c0 Firmware Version = FE7X 1.05.00.068

//monster> info c0 bios
/c0 Bios Version = BE7X 1.08.00.048

//monster>
Comment 2 Marcus Alves Grando freebsd_committer 2006-02-20 18:18:50 UTC
Have only 5.4 binaries? If yes you need mark are broken < 5.4 and > 6.0 
need compat-5.4

Thanks

-- 
Marcus Alves Grando
marcus(at)corp.grupos.com.br  |  Grupos Internet S/A
   mnag(at)FreeBSD.org         |  FreeBSD.org
Comment 3 Dmitry Frolov 2006-02-22 10:19:30 UTC
* Marcus Alves Grando <mnag@FreeBSD.org> [21.02.2006 00:14]:

> Have only 5.4 binaries? If yes you need mark are broken < 5.4 and > 6.0 
> need compat-5.4

tw_cli and tw_sched are static binaries and seem to work on 4.x
and 7-current as well, no need for compat libs.

frol@nerve ttyp2:~$file `which tw_cli`
/usr/local/sbin/tw_cli: ELF 32-bit LSB executable, Intel 80386, version 1 (FreeBSD), for FreeBSD 5.4, statically linked, stripped

They also should work with older twe(4) and twa(4) drivers from 4.x.

    wbr&w, dmitry.
-- 
Dmitry Frolov <frolov@riss-telecom.ru>
RISS-Telecom Network, Novosibirsk, Russia
66415911@ICQ, +7 3832 NO WA1T, DVF-RIPE
Comment 4 Marcus Alves Grando freebsd_committer 2006-02-22 17:49:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!